Subject: Re: linux-next: build failure after merge of the pm tree

From: "Rafael J. Wysocki" <[email-masked]>
Date: Thu, 29 Sep 2011 11:26:18 +0200

On Thursday, September 29, 2011, Ming Lei wrote:
> On Thu, Sep 29, 2011 at 3:32 AM, Rafael J. Wysocki <[email-masked]> wrote:
> > On Wednesday, September 28, 2011, Ming Lei wrote:
> >> Hi,
> >>
> >> 2011/9/28 Rafael J. Wysocki <[email-masked]>:
> >> > On Wednesday, September 28, 2011, Ming Lei wrote:
> >> >> Hi Stephen and Rafael,
> >> >>
> >> >> Sorry, the attachment patch can fix the build failure, which is
> >> >> caused by unset CONFIG_RUNTIME_PM.
> >> >
> >> > First off, that's CONFIG_PM_RUNTIME.  Second, why do you want to build
> >> > rpm-traces.c at all if CONFIG_PM_RUNTIME is unset?
> >> >
> >>
> >> Yes, you are right,  follows the correct fix:
> >>
> >> diff --git a/kernel/trace/Makefile b/kernel/trace/Makefile
> >> index 56bdab5..f49405f 100644
> >> --- a/kernel/trace/Makefile
> >> +++ b/kernel/trace/Makefile
> >> @@ -53,7 +53,9 @@ endif
> >>  obj-$(CONFIG_EVENT_TRACING) += trace_events_filter.o
> >>  obj-$(CONFIG_KPROBE_EVENT) += trace_kprobe.o
> >>  obj-$(CONFIG_TRACEPOINTS) += power-traces.o
> >> +ifeq ($(CONFIG_PM_RUNTIME),y)
> >>  obj-$(CONFIG_TRACEPOINTS) += rpm-traces.o
> >> +endif
> >>  ifeq ($(CONFIG_TRACING),y)
> >>  obj-$(CONFIG_KGDB_KDB) += trace_kdb.o
> >>  endif
> >
> > Well, this still is kind of ugly.  I'd prefer my patch sent in this thread.
> 
> Both are doable, :-)
> 
> But I don't think it is ugly, and this way is taken by BLOCK/PERF_EVENTS/
> KGDB_KDB in kernel/trace/Makefile.

You're right about this.

> Also this one is a simple fix and don't introduce any new config option,
> which is unnecessary.

OK, I'll use your last patch.  Care to resend it with a sign-off?

Rafael